Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.common
Interface IoFuture

All Known Subinterfaces:
  CloseFuture, ConnectFuture, WriteFuture

    public interface IoFuture

Represents the result of an ashynchronous I/O operation.

Version:
  $Rev: 599822 $, $Date: 2007-11-30 22:54:07 +0900 (Fri, 30 Nov 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Method Summary
`void` | `addListener(IoFutureListener listener)` Adds an event `listener` which is notified when the state of this future changes.
`Object` | `getLock()` Returns the lock object this future acquires.
`IoSession` | `getSession()` Returns the `IoSession` which is associated with this future.
`boolean` | `isReady()` Returns if the asynchronous operation is finished.
`void` | `join()` Wait for the asynchronous operation to end.
`boolean` | `join(long timeoutInMillis)` Wait for the asynchronous operation to end with the specified timeout.
`void` | `removeListener(IoFutureListener listener)` Removes an existing event `listener` which is notified when the state of this future changes.

Method Detail

### getSession

    IoSession getSession()

  Returns the `IoSession` which is associated with this future.

### getLock

    Object getLock()

  Returns the lock object this future acquires.

### join

    void join()

  Wait for the asynchronous operation to end.

### join

    boolean join(long timeoutInMillis)

  Wait for the asynchronous operation to end with the specified timeout.

  Returns:
    `true` if the operation is finished.

### isReady

    boolean isReady()

  Returns if the asynchronous operation is finished.

### addListener

    void addListener(IoFutureListener listener)

  Adds an event `listener` which is notified when the state of this future changes.

### removeListener

    void removeListener(IoFutureListener listener)

  Removes an existing event `listener` which is notified when the state of this future changes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.